Bug 30252 - lower version of 'Locale::XGettext::TT2' to 0.6
Summary: lower version of 'Locale::XGettext::TT2' to 0.6
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mason James
QA Contact: Tomás Cohen Arazi
URL:
Keywords: rel_21_05_candidate
Depends on:
Blocks:
 
Reported: 2022-03-09 04:21 UTC by Mason James
Modified: 2022-10-21 23:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05,21.05.20


Attachments
Bug 30252: lower version of 'Locale::XGettext::TT2' to 0.6 (1.37 KB, patch)
2022-03-09 04:24 UTC, Mason James
Details | Diff | Splinter Review
Bug 30252: lower version of 'Locale::XGettext::TT2' to 0.6 (1.38 KB, patch)
2022-03-09 10:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2022-03-09 04:21:35 UTC
this patch reduces the required version of 'Locale::XGettext::TT2' to 0.6

version 0.7 of of Locale::XGettext::TT2 is incompatible with the current version of libintl-perl (1.26), so we use 0.6 instead

 https://packages.debian.org/stretch/libintl-perl
 https://metacpan.org/release/GUIDO/Template-Plugin-Gettext-0.6/view/lib/Locale/XGettext/TT2.pm


we will move to 'Locale::XGettext::TT2' 0.7 when libintl-perl-1.32 arrives
 https://tracker.debian.org/pkg/libintl-perl


small change, no test plan
Comment 1 Mason James 2022-03-09 04:24:23 UTC
Created attachment 131507 [details] [review]
Bug 30252: lower version of 'Locale::XGettext::TT2' to 0.6

this patch reduces the required version of 'Locale::XGettext::TT2' to 0.6

version 0.7 of of Locale::XGettext::TT2 is incompatible with the current version of libintl-perl (1.26), so we use 0.6 instead

 https://packages.debian.org/stretch/libintl-perl
 https://metacpan.org/release/GUIDO/Template-Plugin-Gettext-0.6/view/lib/Locale/XGettext/TT2.pm

we will move to 'Locale::XGettext::TT2' 0.7 when libintl-perl-1.32 arrives
 https://tracker.debian.org/pkg/libintl-perl

small change, no test plan

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 2 Tomás Cohen Arazi 2022-03-09 10:46:13 UTC
Created attachment 131516 [details] [review]
Bug 30252: lower version of 'Locale::XGettext::TT2' to 0.6

this patch reduces the required version of 'Locale::XGettext::TT2' to 0.6

version 0.7 of of Locale::XGettext::TT2 is incompatible with the current version of libintl-perl (1.26), so we use 0.6 instead

 https://packages.debian.org/stretch/libintl-perl
 https://metacpan.org/release/GUIDO/Template-Plugin-Gettext-0.6/view/lib/Locale/XGettext/TT2.pm

we will move to 'Locale::XGettext::TT2' 0.7 when libintl-perl-1.32 arrives
 https://tracker.debian.org/pkg/libintl-perl

small change, no test plan

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Fridolin Somers 2022-03-16 08:32:02 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 4 Mason James 2022-03-18 02:03:56 UTC
(In reply to Fridolin Somers from comment #3)
> Pushed to master for 22.05, thanks to everybody involved 🦄

rmaints, can we push this to 19.11 pleeese
Comment 5 Kyle M Hall 2022-03-25 13:24:24 UTC
Pushed to 21.11.x for 21.11.05
Comment 6 Marcel de Rooy 2022-09-22 07:01:58 UTC
Mason:
I see this under Debian 11 installed:
libtemplate-plugin-gettext-perl/now 0.6-1~koha1 all [installed,local]

This apparently comes from a Koha repo.
But the TT2.pm does not contain a version number when comparing to master:

diff TT2.pm TT2.pm_master
22c22
<
---
> $Locale::XGettext::TT2::VERSION = '0.6';
127c127
<
---
> $Locale::XGettext::TT2::Parser::VERSION = '0.6';

So what happens under 21.11? The version is still marked Missing !

Any idea what happens here?
Comment 7 Mason James 2022-09-22 09:27:29 UTC
> So what happens under 21.11? The version is still marked Missing !

hiya, can you paste output from... 

 $ apt policy koha-common
Comment 8 Marcel de Rooy 2022-09-22 09:31:11 UTC
(In reply to Mason James from comment #7)
> > So what happens under 21.11? The version is still marked Missing !
> 
> hiya, can you paste output from... 
> 
>  $ apt policy koha-common

koha-common:
  Installed: 21.11.11-2
  Candidate: 21.11.11-2
  Version table:
 *** 21.11.11-2 100
        100 /var/lib/dpkg/status
Comment 9 Marcel de Rooy 2022-09-22 12:38:31 UTC
From IRC:
[13:44] <mtj> marcelr: i guess there is some subtle mismatch between master and 21.11

I love those subtle mismatches ;)
Comment 10 Mason James 2022-09-22 15:42:31 UTC
(In reply to Marcel de Rooy from comment #6)
> Mason:
> I see this under Debian 11 installed:
> libtemplate-plugin-gettext-perl/now 0.6-1~koha1 all [installed,local]

hiya, i've uploaded libtemplate-plugin-gettext-perl_0.6-1~koha2_all.deb 
                                                              ^..
the following should fix the problem...
 $ sudo apt update
 $ sudo apt upgrade libtemplate-plugin-gettext-perl
Comment 11 Mason James 2022-09-22 15:59:36 UTC
(In reply to Marcel de Rooy from comment #9)
> From IRC:
> [13:44] <mtj> marcelr: i guess there is some subtle mismatch between master
> and 21.11
> 
> I love those subtle mismatches ;)

well... it was subtle

 libtemplate-plugin-gettext-perl_0.6-1~koha1_all.deb 
 libtemplate-plugin-gettext-perl_0.6-1~koha2_all.deb
Comment 12 Marcel de Rooy 2022-09-23 06:00:19 UTC
(In reply to Mason James from comment #11)
> (In reply to Marcel de Rooy from comment #9)
> > From IRC:
> > [13:44] <mtj> marcelr: i guess there is some subtle mismatch between master
> > and 21.11
> > 
> > I love those subtle mismatches ;)
> 
> well... it was subtle
> 
>  libtemplate-plugin-gettext-perl_0.6-1~koha1_all.deb 
>  libtemplate-plugin-gettext-perl_0.6-1~koha2_all.deb

Thanks !
Comment 13 Mason James 2022-10-10 00:21:56 UTC
(In reply to Kyle M Hall from comment #5)
> Pushed to 21.11.x for 21.11.05

can we push to 21.05 pleeese
Comment 14 Victor Grousset/tuxayo 2022-10-17 22:00:27 UTC
> can we push to 21.05 pleeese

Hi, I found this by accident. Otherwise since I'm not CCed and it's from previous cycle, I would have never found. I hope there isn't much stuff I miss like that :o

Ok, noted for the next days :)
Comment 15 Victor Grousset/tuxayo 2022-10-21 23:40:31 UTC
Backported: Pushed to 21.05.x branch for the upcoming release (21.05.20)

Nothing to document it seems, marking resolved.